<app-header [titre]="'SCANNER'"></app-header>

<div class="justify-content-center w-100 mt-3">
  <div class="scanner-shell" [hidden]="!hasDevices">
    <mat-menu #appMenu="matMenu">
      <mat-selection-list>
        <mat-list-option checkboxPosition="start" (click)="toggleTryHarder()" [selected]="tryHarder">
          Enable Try-harder
        </mat-list-option>
        <mat-list-option checkboxPosition="start" (click)="toggleTorch()" [selected]="torchEnabled"
          *ngIf="torchAvailable$ | async">
          Enable Torch
        </mat-list-option>
      </mat-selection-list>
      <mat-divider></mat-divider>
        <!-- <button mat-menu-item (click)="openFormatsDialog()">Barcode formats</button>
    <button mat-menu-item (click)="openInfoDialog()">App info</button> -->

    </mat-menu>
    <header>
      <mat-form-field appearance="fill">
        <select matNativeControl matInput (change)="onDeviceSelectChange($event.target.value)">
          <option value="" [selected]="!currentDevice">No Device Selected</option>
          <option *ngFor="let device of availableDevices" [value]="device.deviceId"
            [selected]="currentDevice && device.deviceId === currentDevice.deviceId">{{device.label}}</option>
        </select>
      </mat-form-field>
      <button mat-icon-button [matMenuTriggerFor]="appMenu">
        <mat-icon>more_vert</mat-icon>
      </button>
    </header>
    <zxing-scanner [torch]="torchEnabled" [(device)]="currentDevice" (scanSuccess)="onCodeResult($event)"
      [formats]="formatsEnabled" [tryHarder]="tryHarder" (permissionResponse)="onHasPermission($event)"
      (camerasFound)="onCamerasFound($event)" (torchCompatible)="onTorchCompatible($event)"></zxing-scanner>
    <section class="results" *ngIf="code">
      <div class="form-group">
        <small>Result</small>
        <strong>{{ code }}</strong>
      </div>
      <button mat-icon-button (click)="clearResult()">&times;</button>
    </section>
  </div>




  <ng-container *ngIf="hasPermission === undefined">

    <h2>Waiting for permissions.</h2>

    <blockquote>
      Votre appareil ne dispose pas de camera.
    </blockquote>

  </ng-container>

  <ng-container *ngIf="hasPermission === false">

    <h2>La permission d'accès à votre camera n'est pas active😪</h2>

  </ng-container>

  <ng-container *ngIf="hasDevices === undefined">

    <h2>On ne peut vérifier la présence d'une caméra.</h2>

    <blockquote>
      Il s'agit probablement d'un problème de sécurité.
    </blockquote>

  </ng-container>

  <ng-container *ngIf="hasDevices === false">

    <h2>Aucun appareil n'a été trouvé</h2>

    <blockquote>
      Je pense que votre appareil ne dispose pas d'appareil.
    </blockquote>
  </ng-container>
</div>
<div class="bloc2">
  <app-saisie></app-saisie>
</div>